<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="Task5.30Style.css">
    <title>Task 9.150</title>
</head>
<body onload="onPageLoading()">
    <div class="container">
        <div class="row"><img id="picture" src="images/people-playing-casino.jpg" width="500px">
        </div>
        <div class="row" style="color:blueviolet"><h1 id="h1Message">Chào mừng đến với My Lucky Dice</h1>
        </div>
        <div class="row"><img id="dice" src="images/dice.png" width="100px">
        </div>
        <div class="row"><button id="button" onclick="nemXucSac()" class="button" style="background-color: blue;">Ném</button>
        </div>
        <div class="row"><h2 id="h2Message" style="color:blue; display:none">Nội dung message ở đây</h2>
        </div>
    </div>
    
</body>
<script>
    function onPageLoading(){
        console.log(picture.id);
        console.log(picture.src);
        console.log(h1Message.id);
        console.log(h1Message.innerHTML);
        console.log(h2Message.id);
        console.log(h2Message.innerHTML);
        console.log(dice.id);
        console.log(dice.src);
        console.log(button.id);
        console.log(button.innerHTML);
    }
    function nemXucSac(){
        console.log("Tung xúc sắc");
        var getRandomNumber=Math.floor(Math.random()*6+1);
        console.log(getRandomNumber);
        //subtask 6
        function changeDiceImage(getRandomNumber){
            if (getRandomNumber==1) {
                dice.src="images/1.png";                
            };
            if (getRandomNumber==2) {
                dice.src="images/2.png";
            };
            if (getRandomNumber==3) {
                dice.src="images/3.png";
            };
            if (getRandomNumber==4) {
                dice.src="images/4.png";
            };
            if (getRandomNumber==5) {
                dice.src="images/5.png";
            };
            if (getRandomNumber==6) {
                dice.src="images/6.png";                
            };           
        }
        changeDiceImage(getRandomNumber);
        console.log(dice.src);
        //Subtask 7
        function changeMessage(getRandomNumber){
            if (getRandomNumber<4){
                h2Message.innerHTML="Bạn đừng buồn, hãy thử lại lần nữa nhé!";
                h2Message.style.color="purple";
                h2Message.style.display="block";
            } else{
                h2Message.innerHTML="Chúc mừng bạn, hãy thử thêm lần nữa nhé!";
                h2Message.style.color="orange";
                h2Message.style.display="block";
            }
        }
        changeMessage(getRandomNumber);
        console.log(h2Message.innerHTML);
    }
    
        
</script>
</html>